# -*- coding: utf-8 -*-
import direct.directbase.DirectStart
from pandac.PandaModules import *
from direct.particles.Particles import Particles
from direct.particles.ParticleEffect import ParticleEffect
from direct.gui.OnscreenText import OnscreenText
from direct.showbase.DirectObject import DirectObject


infotext=OnscreenText(
  text = "keep MMB pressed and drag vertically\nto rotate camera pitch", pos = (0, .92), scale = 0.05, mayChange=False, fg=(1,1,1,1),
  bg=(0,0,1,.7)
)

base.cam.setPos(0,0,0)

parent = render.attachNewNode('parent')
parent.reparentTo(render) # use parent.reparentTo(base.cam) for real apps

env=loader.loadModel("environment")
env.reparentTo(render)
# enable particles
base.enableParticles()
rain = ParticleEffect()
rain.loadConfig(Filename('rain.ptf'))
#Sets particles to birth relative to the parent
rain.start(parent)

tex0 = loader.loadTexture('raindrop.png')
tex1 = loader.loadTexture('raindrop1.png')
orient='V'
def camchk(task):
  global orient
  p=base.camera.getP()
  p=abs(p) % 360
  if (p > 70 and p < 110):
    if orient <> "H":
      rain.setTexture(tex1,1)
      orient="H"
  else:
    if orient == "H":
      rain.setTexture(tex0,1)
      orient="V"
  return task.cont

taskMgr.add(camchk, 'camchk', sort=40)
DO=DirectObject()
DO.accept('p', lambda x=90: base.cam.setP(base.cam, 90))

run()
